%global forgeurl https://github.com/airspy/airspyhf
%global commit b6c6dc459d1691e912d291afe0123627224ba82f

# Looks like mock / fedora-review does not work properly with forge style of
# dist for me, so define shortcommit and commit_date to make the review work.
# I will change back to forge style of info for official build.
%global shortcommit %(c=%{commit};echo ${c:0:7})
%global commit_date 20231129

Name:           airspyhf
Version:        1.6.8
Release:        1.%{commit_date}git%{shortcommit}%{?dist}
%forgemeta -i

#Release:        1%%{dist}
Summary:        User mode driver for Airspy HF+
License:        BSD-3-Clause
URL:            %{forgeurl}
Source0:        %{forgesource}


BuildRequires:  cmake >= 2.8
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(libusb)
BuildRequires:  pkgconfig(udev)

%description
User mode driver for Airspy HF+


%package devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
Development files for %{name}

%prep
%forgesetup


%build
mkdir build
cd build
%cmake3 .. -DINSTALL_UDEV_RULES=ON

%cmake_build

%install
cd build
%cmake_install
rm %{buildroot}%{_libdir}/libairspyhf.a

%files
%doc README.md
%license LICENSE
%{_bindir}/airspyhf_calibrate
%{_bindir}/airspyhf_gpio
%{_bindir}/airspyhf_info
%{_bindir}/airspyhf_lib_version
%{_bindir}/airspyhf_rx
%{_libdir}/libairspyhf.so.0
%{_libdir}/libairspyhf.so.1.7.1
%{_sysconfdir}/udev/rules.d/52-airspyhf.rules

%files devel
%{_libdir}/libairspyhf.so
%{_includedir}/libairspyhf
%{_libdir}/pkgconfig/libairspyhf.pc


%changelog
* Thu Dec 21 2023 Zamir SUN <sztsian@gmail.com> - 1.6.8-1
- Initial package
